## GspellNavigatorTextView

GspellNavigatorTextView — A GspellNavigator implementation for GtkTextView

## Functions

GspellNavigator * | gspell_navigator_text_view_new ()
GtkTextView * | gspell_navigator_text_view_get_view ()

## Properties

GtkTextView * | view | Read / Write / Construct Only

## Types and Values

| GspellNavigatorTextView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GspellNavigatorTextView

## Implemented Interfaces

GspellNavigatorTextView implements GspellNavigator.

## Includes

    #include <gspell/gspell.h>

## Description

GspellNavigatorTextView is a simple implementation of the GspellNavigator interface for the GtkTextView widget.

If a selection exists in the GtkTextView, only the selected text is spell checked. Otherwise the whole buffer is checked.

If only the selected text is spell checked, the implementation of `gspell_navigator_change_all()` changes only the occurrences that were present in the selection.

The implementation of `gspell_navigator_goto_next()` selects the misspelled word and scrolls to it.

You need to call `gspell_text_buffer_set_spell_checker()` to associate a GspellChecker to the GtkTextBuffer.

## Functions

### gspell_navigator_text_view_new ()

    GspellNavigator *
    gspell_navigator_text_view_new (GtkTextView *view);

#### Parameters

view | a GtkTextView. |

#### Returns

a new GspellNavigatorTextView floating object.

[transfer floating]

### gspell_navigator_text_view_get_view ()

    GtkTextView *
    gspell_navigator_text_view_get_view (GspellNavigatorTextView *navigator);

#### Parameters

navigator | a GspellNavigatorTextView. |

#### Returns

the GtkTextView.

[transfer none]

## Types and Values

### GspellNavigatorTextView

    typedef struct _GspellNavigatorTextView GspellNavigatorTextView;

## Property Details

### The `“view”` property

      “view”                     GtkTextView *

The GtkTextView. The buffer is not sufficient, the view is needed to scroll to the misspelled words.

Owner: GspellNavigatorTextView

Flags: Read / Write / Construct Only

## See Also

GspellNavigator, GspellCheckerDialog